# mutt-ja patch extension manual

### mutt-j ML development team [FAMILY Given]

²þÄûÍúÎò
²þÄû mutt-1.4.1i-ja.1 | 2003/03/21

## ja patch extension manual

### configuration variables

#### assumed_charset

    Type: string
    Default: "us-ascii"

This variable is a colon-separated list of character encoding schemes for messages without character encoding indication. Header field values and message body content without character encoding indication would be assumed that they are written in one of this list. By default, all the header fields and message body without any charset indication are assumed to be in "us-ascii". For example, Japanese users might prefer this:

      set assumed_charset="iso-2022-jp:euc-jp:shift_jis:utf-8"

However, only the first content is valid for the message body. This variable is valid only if $strict_mime is unset.

#### create_rfc2047_parameters

    Type: boolean
    Default: no

When this variable is set, Mutt will add the following RFC-2047-encoded MIME parameter to Content-Type header field as filename for attachment:

      name="=?iso-2022-jp?B?GyRCO244MxsoQi50eHQ=?="

Note: this use of RFC 2047's encoding is explicitly prohibited by the standard. You may set this variable only if a mailer of recipients can not parse RFC 2231 parameters. This variable is valid only if $strict_mime is unset.

#### delete_prefix

    Type: boolean
    Default: no

If set, prefix in Subject: field generated by some mailing lists (something like "Subject: [foo-ML:0012] real-subject") can be deleted when displaying in index-mode and editing in message reply. Deletion pattern can be configured by $delete_regexp variable.

#### delete_regexp

    Type: regular expression
    Default: "^(\[[A-Za-z0-9_.: \-]*\][ ]*)"

A regular expression used in $delete_prefix function.

#### file_charset

    Type: string
    Default: ""

This variable is a colon-separated list of character encoding schemes for text file attatchments. If unset, $charset value will be used instead. For example, the following configuration would work for Japanese text handling:

      set file_charset="iso-2022-jp:euc-jp:shift_jis:utf-8"

Note: "iso-2022-*" must be put at the head of the value as shown above if included.

#### mh_path

    Type: path
    Default: ""

If set, folder detection routine considers any subdirectory under "mh_path" directory as an MH folder even if no other MH folder marker (like "cur" subdirectory for MAILDIR folder, or .mh_sequences for MH folder) is found in this directory AND no subdirectory exists beneath this directory. Useful to decrease "xxx is not a mailbox." error for those who are using some other semi-MH-compatible mailer or dealing with MH folder by one's own shell script.

#### msgid

    Type: boolean
    Default: yes

Mutt will generate Message-ID: field by itself when set(default). Unset to let MTA generate Message-ID: field.

#### msgid_use_from

    Type: boolean
    Default: yes

Use $from value instead of $hostname for Message-ID: generation. Uniqueness of Message-ID: increases (especially for dialup-users).

For example, the following setting

        set msgid_use_from=yes
        set realname="D Vader"
        set from="vader@deathstar.empire"

generates these From:/Message-ID: fields:

        Message-ID: <20000907080905.A5250%vader@deathstar.empire>
        From: D Vader <vader@deathstar.empire>

#### pager_hdrs_only

    Type: boolean
    Default: no

Determines whether to display message body immediately. When set, only headers are displayed first, and message body is shown after page scroll or line scroll are done.

#### pager_spoil

    Type: boolean
    Default: no

Determines the style of $pager_hdrs_only. When set, message body characters are substituted by the characters by $pager_spoiler. Empty lines are shown when not set.

Note: When not set, line count of message body is calculated according to the lines of the original message. File atattchments or displaying in a mismatch between the empty-line count and the line count of the message actually displayed.

#### pager_spoiler

    Type: string
    Default: "*"

Specify substituting character for $pager_hdrs_only and $pager_spoil. (valid only if both are set)

#### sanitize_ja_chars

    Type: boolean
    Default: no

When set, Japanese "platform dependent characters" (illegal characters for iso-2022-jp charset; mainly used by MS-Windows mailers) are substituted to special character, GETA mark ('ESC $ B " . ESC ( B' in iso-2022-jp), and JIS X 0201 kana characters (only for "ESC ) I" cases) are also substituted to "?" to prevent garbage characters. JIS X 0201 kana characters are not substituted if they appear in 8bit form.

This fixes another Japanese encoding issue. In case $charset is set to "EUC-JP", which does not contain JIS X 0201 roman character set, the JIS X 0201 roman part of received messages encoded in iso-2022-jp can not be converted to EUC-JP. On the other hand, the ASCII part can not be converted to Shift_JIS, which does not contain ASCII character set. Thus, the converted characters are garbled in these cases. When this option is set, the JIS X 0201 roman escape sequence and the ASCII escape sequence are replaced appropriately to prevent the output from being garbled.

#### strict_mime

    Type: boolean
    Default: yes

When unset, non MIME-compliant messages that doesn't have any charset indication in Content-Type: field can be displayed (non MIME-compliant messages are often generated by old mailers or buggy mailers like MS Outlook Express). See also $assumed_charset.

This option also replaces linear-white-space between encoded-word and *text to a single space to prevent the display of MIME-encoded Subject: field from being devided into multiple lines.

#### tree_chars

    Type: boolean
    Default: no

Many terminals not compatible with vt-100 can't display ACS-characters. This option can set any character for displaying tree structure in index-thread or file-attatchments. For example, Japanese users can use JIS X 0208 ruled line characters for this purpose. The characters actually used are set by $tree_llcorner, $tree_ulcorner, $tree_ltee, $tree_hline, $tree_vline, $tree_ttee, $tree_btee, $tree_space, $tree_rarrow, $tree_star, $tree_hidden, $tree_equals and $tree_missing variables. These values must be written in the same encoding as the $charset value. When $tree_chars is not set (default), the characters with $ascii_chars are used.

Example:

      set tree_chars=yes
      set tree_llcorner="`"
      set tree_ulcorner=","
      set tree_ltee="|"
      set tree_hline="-"
      set tree_vline="|"
      set tree_ttee="-"
      set tree_btee="-"

#### tree_llcorner

    Type: string
    Default: "`"

See $tree_chars.

#### tree_ulcorner

    Type: string
    Default: ","

See $tree_chars.

#### tree_ltee

    Type: string
    Default: "|"

See $tree_chars.

#### tree_hline

    Type: string
    Default: "-"

See $tree_chars.

#### tree_vline

    Type: string
    Default: "|"

See $tree_chars.

#### tree_ttee

    Type: string
    Default: "-"

See $tree_chars.

#### tree_btee

    Type: string
    Default: "-"

See $tree_chars.

#### tree_space

    Type: string
    Default: " "

See $tree_chars.

#### tree_rarrow

    Type: string
    Default: ">"

See $tree_chars.

#### tree_star

    Type: string
    Default: "*"

See $tree_chars.

#### tree_hidden

    Type: string
    Default: "&"

See $tree_chars.

#### tree_equals

    Type: string
    Default: "="

See $tree_chars.

#### tree_missing

    Type: string
    Default: "?"

See $tree_chars.

#### use_jisx0208

    Type: boolean
    Default: yes

When set, Mutt will decide that Symbols, Greek and Cyrillic in JIS X 0208 have a column width of 2 in UTF-8 locale.

### Copyright

Copyright (C) 2000-2002 TAKIZAWA Takashi <taki@cyber.email.ne.jp>

Copyright (C) 2000 Yukinori YOSHIDA <yyo@pjs.nevt.nec.co.jp>

Copyright (C) 2000 Kawaguti Ginga <ginga@athena.club.ne.jp>

Converted to DocBook/XML Style by SHINGUU Atsuhiro <icebell@fujii-kiso.co.jp>.

Translated to English by Kawaguti Ginga <ginga@athena.club.ne.jp> and SHIOZAKI Takehiko <takehiko.shiozaki@reuters.co.jp>.